Bug 146964 - New port: net/asterisk162
Summary: New port: net/asterisk162
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-25 11:30 UTC by emz
Modified: 2010-09-29 15:17 UTC (History)
0 users

See Also:


Attachments
asterisk16-1.6.2.13.diff (65.46 KB, patch)
2010-09-21 19:57 UTC, Florian Smeets
no flags Details | Diff
net.asterisk16-1.6.2.13.patch (62.62 KB, patch)
2010-09-25 15:47 UTC, TAKATSU Tomonari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description emz 2010-05-25 11:30:01 UTC
As Digium stated that asterisk 1.6.0.x and 1.6.1.x branches are moving to security-fixes-only support model, and the 1.4.x branch remains in long-term-support 'til the end of 2010, the new 1.6.2.x port should be added to obtain new bugfixes and probably new features. This shar adds the asterisk162 port with version 1.6.2.7, made from pr ports/144065, with one additional patch that fixes redundant console logging when working with Realtime/pgsql.

Along with this new port, I supposed that asterisk12 support should be suspended from FreeBSD ports, and the net portstree should be modified as:

asterisk12 -> suspended
asterisk -> asterisk14
asterisk16 -> asterisk160
asterisk162 (this port) -> asterisk

Port is tested on FreeBSD 7.2/8.0, port is working in production for one month.
As the attach is too long for gnats, I stored the port on the URL in 'known fixes'.

Fix: 

http://zhegan.in/files/asterisk162.txt
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-05-25 16:18:32 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 emz 2010-07-15 10:37:47 UTC
I've updated the port to 1.6.2.9, it can be found at 
http://zhegan.in/files/asterisk162-1.6.2.9.txt
Comment 3 emz 2010-08-24 07:50:56 UTC
I've updated the port to 1.6.2.11, it can be found at
http://zhegan.in/files/asterisk162-1.6.2.11.txt
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-14 07:37:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sobomax

Over to maintainer
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2010-09-14 23:03:22 UTC
Responsible Changed
From-To: sobomax->freebsd-ports-bugs

Allow someone else to take a look at this. 

Hat:		portmgr
Comment 6 Andrei Kolu 2010-09-15 11:41:23 UTC
-----------------------------------------------------------
===>   Returning to build of asterisk-1.6.2.11
Error: shared library "netsnmp.16" does not exist
*** Error code 1

Stop in /usr/ports/net/asterisk162.
*** Error code 1

Stop in /usr/ports/net/asterisk162.
-----------------------------------------------------------
net-snmp-5.5_4                      =   up-to-date with port


Was able to compile and install only with SNMP disabled in config.
Comment 7 Eugene M. Zheganin 2010-09-20 09:28:01 UTC
I've updated the port to 1.6.2.13, it can be found at
http://zhegan.in/files/asterisk162-1.6.2.13.txt

I've also fixed the net-snmp dependency, by removing the exact required 
library version, leaving out the libnetsnmp itself - 'cause it seems 
like this port is building with any net-mgmt/net-snmp port version along 
past 3 years (at least for me).
Comment 8 Florian Smeets 2010-09-21 19:57:22 UTC
Hi,

i have adapted the patch to update net/asterisk16 to 1.6.2.13 and 
tweaked a couple of other things.

Cheers,
Florian
Comment 9 TAKATSU Tomonari freebsd_committer 2010-09-25 15:47:15 UTC
Hi Florian,

Thank you for sending your "patch-1.diff" patch.

I modified your patch as follows.
(1) move USE_GNOME to USE_* section
(2) remove *.orig files in files directory
(3) add @exec mkdir -p %D/spool/asterisk/outgoing to pkg-plist
(4) add $(MKDIR) $(DESTDIR)$(ASTSPOOLDIR)/outgoing to files/patch-Makefile
    to fix an error when "make deinstall" (*).

(*)
# make deinstall
===>  Deinstalling for net/asterisk16
===>   Deinstalling asterisk16-1.6.2.13
pkg_delete: file '/var/spool/asterisk/outgoing' doesn't exist
pkg_delete: unable to completely remove directory '/var/spool/asterisk/outgoing'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

Please make sure.

Regards,

-- 
TAKATSU Tomonari
Comment 10 Florian Smeets 2010-09-27 15:09:29 UTC
On 25.09.10 16:47, TAKATSU Tomonari wrote:
> Hi Florian,
>
> Thank you for sending your "patch-1.diff" patch.
>
> I modified your patch as follows.
> (1) move USE_GNOME to USE_* section
> (2) remove *.orig files in files directory
> (3) add @exec mkdir -p %D/spool/asterisk/outgoing to pkg-plist
> (4) add $(MKDIR) $(DESTDIR)$(ASTSPOOLDIR)/outgoing to files/patch-Makefile
>      to fix an error when "make deinstall" (*).

Thanks for fixing these. I reran my TB tests with your latest patch an 
everything seems fine.

Thanks,
Florian
Comment 11 TAKATSU Tomonari freebsd_committer 2010-09-29 13:13:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

I'll take it.
Comment 12 dfilter service freebsd_committer 2010-09-29 13:49:04 UTC
tota        2010-09-29 12:48:58 UTC

  FreeBSD ports repository

  Modified files:
    net/asterisk16       Makefile distinfo pkg-plist 
    net/asterisk16/files asterisk.sh.in patch-Makefile.rules 
                         patch-channels-chan_dahdi.c 
                         patch-channels::Makefile 
                         patch-channels::chan_sip.c 
                         patch-configure patch-main::Makefile 
  Added files:
    net/asterisk16/files patch-Makefile 
  Removed files:
    net/asterisk16/files codecnego-patch-Makefile 
                         nocodecnego-patch-Makefile 
  Log:
  - Upgrade to 1.6.2.13
  
    * switch to 1.6.2.X release series because 1.6.0.X is approaching
      its End of Life date.
      see http://www.asterisk.org/asterisk-versions
    * make sure your asterisk configurations between 1.6.0.X and 1.6.2.X
      before upgrading it.
  
  PR:     ports/144065 [1], ports/146964 [2]
  Submitted by:   Tom Judge <tjudge_AT_mintel_DOT_com> [1],
                  Eugene M. Zheganin <emz_AT_norma_DOT_perm_DOT_ru> [2]
  Approved by:    Florian Smeets (maintainer)
  
  Revision  Changes    Path
  1.138     +35 -47    ports/net/asterisk16/Makefile
  1.50      +3 -3      ports/net/asterisk16/distinfo
  1.9       +3 -3      ports/net/asterisk16/files/asterisk.sh.in
  1.8       +0 -210    ports/net/asterisk16/files/codecnego-patch-Makefile (dead)
  1.12      +0 -243    ports/net/asterisk16/files/nocodecnego-patch-Makefile (dead)
  1.22      +258 -0    ports/net/asterisk16/files/patch-Makefile (new)
  1.4       +8 -10     ports/net/asterisk16/files/patch-Makefile.rules
  1.2       +6 -6      ports/net/asterisk16/files/patch-channels-chan_dahdi.c
  1.19      +4 -7      ports/net/asterisk16/files/patch-channels::Makefile
  1.14      +8 -11     ports/net/asterisk16/files/patch-channels::chan_sip.c
  1.9       +8 -10     ports/net/asterisk16/files/patch-configure
  1.9       +12 -12    ports/net/asterisk16/files/patch-main::Makefile
  1.46      +103 -8    ports/net/asterisk16/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 TAKATSU Tomonari freebsd_committer 2010-09-29 15:16:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!